from distutils.core import setup
from DistUtilsExtra.command import *

setup(name='nautilus-pastebin',
    version='0.1.0',
    platforms=['all'],
    author='Alessio Treglia',
    author_email='quadrispro@ubuntu.com',
    license='GPL-2',
    url='https://launchpad.net/nautilus-pastebin',
    description='Nautilus extension to send files to a pastebin',
    long_description="""nautilus-pastebin is a Nautilus extension written in Python, which allows users to upload text-only files to a pastebin service just by right-clicking on them. Users can also add their favorite service just by editing the configuration file.""",
    data_files=[('lib/nautilus/extensions-2.0/python/', ['scripts/nautilus-pastebin.py']),
                ('/etc/',['data/nautilus-pastebin.conf']),
                ('share/pixmaps/',['data/nautilus-pastebin.png']),
                ('share/nautilus-pastebin/', ['data/nautilus-pastebin-notification'])],
    cmdclass = { "build" : build_extra.build_extra,
        "build_i18n" :  build_i18n.build_i18n,
        "clean": clean_i18n.clean_i18n,
        }
    )

